dispatch_attr_string< C3DRotation > Struct Reference

`#include <mia/3d/rot.hh>`

## Static Public Member Functions

static C3DRotation | string2val (const std::string &str)
static std::string | val2string (const C3DRotation &value)

## Detailed Description

Definition at line 62 of file rot.hh.

## Member Function Documentation

## string2val()

C3DRotation dispatch_attr_string< C3DRotation >::string2val | ( | const std::string & | str | ) |

inline static

Definition at line 67 of file rot.hh.

## val2string()

std::string dispatch_attr_string< C3DRotation >::val2string | ( | const C3DRotation & | value | ) |

inline static

Definition at line 63 of file rot.hh.

References C3DRotation::as_string().

The documentation for this struct was generated from the following file:

- rot.hh